#!/usr/bin/env dash

set -e

pdftk "$1" dump_data_utf8 output meta.txt
sed -i 's/^InfoValue:.*$/InfoValue:/g' meta.txt
pdftk "$1" update_info meta.txt output "$1.clean.pdf"

exiftool -q -all:all= "$1.clean.pdf"
qpdf --linearize --replace-input "$1.clean.pdf"

rm -f meta.txt "$1.clean.pdf_original"

echo "$1.clean.pdf"
